// Handy utility for making hex nut shapes along with the dimensions
// of common nuts

m2nut_thick=1.50;
m2nut_flat=3.90;

m3nut_thick=2.47;
m3nut_flat=5.44;

m4nut_thick=2.95;
m4nut_flat=6.86;

m5nut_flat=7.85;
m5nut_thick=3.83;

// 1/4 - 20 nut (q20)
q20nut_flat=10.90;
q20nut_thick=5.54;

// Utility routine for making hex nut shape
module hexnut(flat, thick) {
   intersection_for ( i = [0,60,120]) {
      rotate([0,0,i])
         translate([-(2*flat)/2, -flat/2, -thick])
            cube([2*flat,flat,thick]);
   }
}
