// Aargh! There is enough blobbing on the inside of my orion heatsink
// groove mount to prevent it from closing all the way. This is a tiny
// custom sanding block I'm printing I can stick inside it to sand off the
// blobs :).

e3d_big_dia=16;
e3d_big_thick=3.7;
e3d_small_dia=12;

sand_thick=0.33;

module sandblock() {
   difference() {
      union() {
         cylinder(r=(e3d_small_dia/2)-sand_thick,h=30,$fn=64);
         cylinder(r=(e3d_big_dia/2)-sand_thick,h=e3d_big_thick,$fn=64);
      }
      translate([-15,0,20])
         rotate([0,90,0])
            cylinder(r=3.2/2,h=30,$fn=64);
      translate([3,-50,-1])
         cube([100,100,100]);
      translate([0,-6.5/2,-1])
         cube([4,6.5,32]);
   }
}

module lockcube() {
   w=6.5-(0.2 + 2*sand_thick);
   difference() {
      translate([5,-w/2,0])
         cube([4,w,30]);
      translate([-15,0,20])
         rotate([0,90,0])
            cylinder(r=3.2/2,h=30,$fn=64);
   }
}

union() {
sandblock();


translate([10,0,0])
rotate([0,0,90])
translate([-15,0,0])
rotate([0,90,0])
translate([-9,0,0])
lockcube();
}
